Skip to main content
GET
/
v1
/
videos
/
{id}
Get a video by ID
curl --request GET \
  --url https://api.videoaiditor.com/v1/videos/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.videoaiditor.com/v1/videos/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.videoaiditor.com/v1/videos/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "_id": "<string>",
    "version": "<string>",
    "metadata": {
      "name": "<string>",
      "backgroundColor": "#000000",
      "duration": 123,
      "fps": 30,
      "canvas": {
        "width": 1920,
        "height": 1080
      },
      "redirectUrl": "<string>"
    },
    "clips": [
      {
        "source": "<string>",
        "timeFrame": {
          "start": 0,
          "end": 123,
          "offset": 123
        },
        "position": {
          "x": 0,
          "y": 0,
          "z": 0
        },
        "transform": {
          "scale": {
            "x": 1,
            "y": 1
          },
          "rotation": 123
        },
        "size": {
          "width": 100,
          "height": 100
        },
        "id": "<string>",
        "name": "<string>",
        "volume": 1,
        "textProperties": {
          "content": "<string>",
          "fontSize": 16,
          "fontWeight": 400,
          "fontFamily": "Arial",
          "color": "#000000",
          "backgroundColor": "transparent",
          "textAlign": "left",
          "fontStyle": "normal",
          "padding": 0,
          "strokeWidth": 0,
          "strokeColor": "#000000",
          "borderWidth": 0,
          "borderColor": "#FFFFFF",
          "underline": false
        },
        "captionProperties": {
          "words": [
            {
              "start": 123,
              "end": 123,
              "word": "<string>"
            }
          ],
          "highlightTextProperties": {
            "fontSize": 24,
            "color": "#000000",
            "fontFamily": "Montserrat",
            "fontWeight": 400,
            "fontStyle": "normal",
            "underline": false,
            "padding": 0,
            "strokeWidth": 0,
            "strokeColor": "#000000",
            "borderWidth": 0,
            "borderColor": "#FFFFFF",
            "backgroundColor": "<string>"
          },
          "nonHighlightTextProperties": {
            "fontSize": 24,
            "color": "#000000",
            "fontFamily": "Montserrat",
            "fontWeight": 400,
            "fontStyle": "normal",
            "underline": false,
            "padding": 0,
            "strokeWidth": 0,
            "strokeColor": "#000000",
            "borderWidth": 0,
            "borderColor": "#FFFFFF",
            "backgroundColor": "<string>"
          },
          "textAlign": "center",
          "maxWidth": 500,
          "maxWordsInFrame": 5
        }
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "additional": {}
  }
}
{
"statusCode": 400,
"message": [
"Invalid input",
"Missing required field"
],
"error": "Bad Request"
}
{
"statusCode": 401,
"message": [
"Invalid credentials",
"Token expired"
],
"error": "Unauthorized"
}
{
"statusCode": 403,
"message": [
"Access denied",
"Insufficient permissions"
],
"error": "Forbidden"
}
{
"statusCode": 404,
"message": [
"Resource not found"
],
"error": "Not Found"
}

Authorizations

x-api-key
string
header
required

Enter your API key here

Path Parameters

id
string
required

Video ID

Response

Returns the video details.

data
object
required

Video data